%define upstream_name    File-Find-Upwards
%define upstream_version 1.102030

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Look for a file in the current directory and upwards
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/File/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Attribute::Memoize)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Path::Class)
BuildRequires: perl(Test::More)
BuildArch: noarch


%description
Provides a function that can find a file in the current or a parent
directory.

* file_find_upwards()

  Takes a filename and looks for the file in the current directory. If
  there is no such file, it traverses up the directory hierarchy until it
  finds the file or until it reaches the topmost directory. If the file is
  found, the full path to the file is returned. If the file is not found,
  undef is returned.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%make_install

%files
%doc Changes LICENSE README META.yml
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Mar 20 2022 umeabot <umeabot> 1.102.30-10.mga9
+ Revision: 1803626
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.102.30-9.mga8
+ Revision: 1494484
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.102.30-8.mga7
+ Revision: 1267999
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.102.30-7.mga6
+ Revision: 1027304
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.102.30-6.mga6
+ Revision: 944587
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.102.30-5.mga5
+ Revision: 745972
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.102.30-4.mga5
+ Revision: 684727
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.102.30-3.mga4
+ Revision: 511545
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.102.30-2.mga3
+ Revision: 367236
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 21 2011 jquelin <jquelin> 1.102.30-1.mga1
+ Revision: 28540
- mageia rebuild
- imported package perl-File-Find-Upwards

